Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.plugin.reader.filesystem
Class FSZipReader

    java.lang.Object
      kieker.analysis.plugin.reader.filesystem.FSZipReader

All Implemented Interfaces:
  Runnable

    public final class FSZipReader

extends Object
implements Runnable

Reads the contents of a single zip file and passes the records to the registered receiver of type `IMonitoringRecordReceiver`.

Since:
  1.7
Author:
  Jan Waller

Constructor Summary
`FSZipReader(File zipFile, kieker.analysis.plugin.reader.filesystem.IMonitoringRecordReceiver recordReceiver, boolean ignoreUnknownRecordTypes)` Creates a new instance of this class.

Method Summary
`void` | `run()` Starts reading and returns after each record has been passed to the registered `recordReceiver`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FSZipReader

    public FSZipReader(File zipFile,
                       kieker.analysis.plugin.reader.filesystem.IMonitoringRecordReceiver recordReceiver,
                       boolean ignoreUnknownRecordTypes)

  Creates a new instance of this class.

  Parameters:
    `zipFile` - The File object for the zip file.
    `recordReceiver` - The receiver handling the records.
    `ignoreUnknownRecordTypes` - select only records of this type; null selects all

Method Detail

### run

    public final void run()

  Starts reading and returns after each record has been passed to the registered `recordReceiver`.

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net